/* CSS personnalisé générique */

:root {
    --bs-body-color: #212529;
    --bs-body-color-rgb: rgb(33, 37, 41);
    --bs-link-color: var(--bs-gray-900);
    --bs-link-hover-color: var(--bs-gray-900);
    --bs-font-sans-serif: Gotham,sans-serif;
}

body, legend {
    color:var(--bs-body-color-rgb) !important;
}

.navbar-nav { --bs-nav-link-color: #fff; --bs-nav-link-hover-color: #fff; --bs-nav-link-font-size: 1.1rem;}

.dropdown-menu  { --bs-dropdown-link-active-bg: #fff; --bs-dropdown-link-active-color: #3a3a3a; --bs-dropdown-link-hover-color: #2a2a2e; --bs-dropdown-link-hover-bg: #fff }

.btn, .btn:focus { --bs-btn-border-radius: 1.4rem; outline: 0 !important;}

.btn-primary {--bs-btn-color:#fff;--bs-btn-bg:#fa5a64;--bs-btn-border-color:#fa5a64;--bs-btn-hover-color:#fa5a64;--bs-btn-hover-bg:#fff;--bs-btn-hover-border-color:#fa5a64;--bs-btn-focus-shadow-rgb:66,70,73;--bs-btn-active-color:#fff;--bs-btn-active-bg:#fc8f96;--bs-btn-active-border-color:transparent;--btn-disabled-opacity:.65; --bs-btn-disabled-bg: #fc8f96; --bs-btn-disabled-border-color: transparent; }

.btn-default {--bs-btn-color:#fff;--bs-btn-bg:#fa5a64;--bs-btn-border-color:#fa5a64;--bs-btn-hover-color:#fa5a64;--bs-btn-hover-bg:#fff;--bs-btn-hover-border-color:#fa5a64;--bs-btn-focus-shadow-rgb:66,70,73;--bs-btn-active-color:#fff;--bs-btn-active-bg:#fc8f96;--bs-btn-active-border-color:transparent;--btn-disabled-opacity:.65; --bs-btn-disabled-bg: #fc8f96; --bs-btn-disabled-border-color: transparent; }

.btn-default {
    color: var(--bs-btn-color);
    background-color: var(--bs-btn-bg);
    border-color: var(--bs-btn-border-color);
}

.btn-default:focus,.btn-default:hover {
    color: var(--bs-btn-hover-color);
    background-color: var(--bs-btn-hover-bg);
    border-color: var(--bs-btn-hover-border-color);
}

.btn.btn-default.clearlookupfield, .btn.btn-default.launchentitylookup {
    line-height: 1.8;
}

table a:hover {
    color: var(--bs-link-hover-color) !important;
}

.card {
    --bs-card-bg: rgba(0, 0, 0, 0.05);
    --bs-card-border-color: rgba(0, 0, 0, 0.05);
}

.card .float-end {
    float: left!important;
}

.list-group:first-child, .list-group:last-child {
    border-radius: 0.375rem;
}

.list-group-item {
    border: 0px !important;
    --bs-list-group-item-padding-y: 15px;
    --bs-list-group-item-padding-y: 15px;
}

.list-group {
    --bs-list-group-item-padding-x: 20px !important;
    --bs-list-group-item-padding-y: 20px !important;
    --bs-list-group-border-radius:0.375rem !important;
    --bs-list-group-active-bg: var(--bs-gray-900);
    font-size: 15px !important;
    border-radius: 0.375rem !important;
}

.pagination {
    --bs-pagination-active-bg: #fa5a64 !important;
    --bs-pagination-active-border-color: #fa5a64 !important;
    --bs-pagination-focus-outline:0 !important;
    --bs-pagination-focus-box-shadow: none;
}

:focus-visible {
    outline: none !important;
}

.pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover {
    background-color: var(--bs-pagination-active-bg) !important;
}

#PreviousButton {
    margin-right: 5px;
}

.alert-danger {
    background-color: var(--bs-alert-bg) !important;
    border-color: var(--bs-alert-border-color) !important;
    color: var(--bs-alert-color) !important;
}

#loader {
    position:fixed;
    width:100%;
    left:0;right:0;top:0;bottom:0;
    background-color: rgba(255,255,255,0.8);
    z-index:9999;
}

@-webkit-keyframes spin {
	from {-webkit-transform:rotate(0deg);}
	to {-webkit-transform:rotate(360deg);}
}

@keyframes spin {
	from {transform:rotate(0deg);}
	to {transform:rotate(360deg);}
}

#loader::after {
    content:'';
    display:block;
    position:absolute;
    left:48%;top:40%;
    width:100px;height:100px;
    border-style:solid;
    border-color:#212529;
    border-top-color:transparent;
    border-width: 7px;
    border-radius:50%;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

#ContentContainer_MainContent_MainContent_ShowUserName,
#notification_paybox_success,
#notification_paybox_error,
tr:has(#mso_fraisdecantidaturevalue), 
tr:has(#mso_statutreglementfraisdecandidaturecode),
tr:has(#mso_statutportailcode),
tr:has(#mso_contacttypecode),
tr:has(#mso_iscontactcandidature),
tr:has(#mso_attestationamenagementfile),
tr:has(#mso_notificationboursefile),
tr:has(#mso_actedecautionnementfile),
/* tr:has(#mso_origineid),
tr:has(#mso_ecolecampus),
tr:has(#mso_ecolecampusduconcoursid), */
fieldset:has([data-name="tab_piecesjointes"]) {
    display: none;
}

.felicitationsAdmission p {
    font-size: 19px;
}

.navbar-brand {
    padding: 5px !important;
}

.notification_paybox {
    text-align: center;
    margin-top: 50px;
    margin-bottom: 100px;
}

.instructions {
    margin-top: 50px;
    margin-bottom: 100px;
    border-radius: 0.375rem;
    border: 1px solid #c4c8cb;
    background-color: #e2e3e5;
    color: #2b2f32;
    padding: 1rem;
}

.crmEntityFormView .text-muted {
    display: none;
}

#WebFormPanel {
    display: none;
}

.iti__dropdown-content {
    z-index: 1055 !important;
  }
  
.iti__country-list {
    padding: 10px !important;
  }

.iti 
{
    display: -webkit-box !important;
}
  
.entitylist-filter-option-text {
    width: 250px;
}

.field-label {
    font-weight: inherit !important;
    margin-bottom: inherit;
}

.tab-title {
    display: none;
}

a:focus, a:hover {
    color: var(--bs-btn-color);
    text-decoration: underline;
}

.ms-Toggle-stateText {
    display: none;
}

.ms-Toggle-background[aria-checked="true"] {
    background-color: #212529 !important;
}

/* Taille de la police dans la barre de recherche de la fenetre de lookup */
div.input-group.view-search.entitylist-search input.query.form-control {
    font-size: 16.5px !important;
}

.form-control:focus {
    border-color: var(--bs-gray-500);
    box-shadow: 0 0 0 .25rem var(--bs-gray-200);
}

.icon-link {
    display: inline-flex;
    gap: .375rem;
    align-items: center;
    -webkit-text-decoration-color: rgba(var(--bs-link-color-rgb),var(--bs-link-opacity,0.5));
    text-decoration-color: rgba(var(--bs-link-color-rgb),var(--bs-link-opacity,0.5));
    text-underline-offset: 0.25em;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.btn-for-delete {
    height: inherit !important;
    padding: 5px !important;
    font-size: 13px!important;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    font-family: inherit;
    font-weight: inherit;
    line-height: inherit;
    color: inherit;
}

.h3 {
    font-size: 1.6rem !important;
}